Python/Kivy erro ao compilar no VSCode

SO: Xubuntu 18.04.3 LTS

Estou com um problema pra compila um código pelo vscode eu estou usando a linguagem python com a biblioteca kivy, instalei o kivy da seguinte maneira:

  • Usei a stable PPA

O erro que estou tendo é esse:

Saída do erro completo aqui

Observações:

  • O problema não é no código pois testei no computador da faculdade e está compilando normalmente, tenho vários outros códigos e todos estão do mesmo jeito.

  • Não posso usa algo pra cria a interface clicando e arrastando ou algo do tipo como PyQt, pois na prova o que vou pode usa é o vscode então o que eu preciso é compila ele no vscode.

1 Curtida

Olá @YugiMoto

Tente realizar a instalação via pip, isso porque várias pessoas tem problemas quando utilizam o PPA.

Se possível realize a instalação dentro de um ambiente virtual (virtual environment) do Python (pyenv, virtualenv, pipenv, etc). Isso melhora a gestão de dependências do seu projeto e evita também a instalação de dependências desnecessárias na instalação principal do Python.

Caso não utilize um ambiente virtual lembre-se de remover o Kivy que foi instalado pelo PPA antes de instalar a versão do pip.

Um exemplo de instalação sem utilizar ambiente virtual seria:

sudo pip3 install --upgrade setuptool wheel

Depois:

sudo pip3 install --upgrade kivy

Se o seu projeto for utilizar audio ou video é preciso instalar o ffpyplayer para isso:

sudo pip install ffpyplayer

Repare que os comandos estão com sudo porque estou supondo que você vai instalar para todo o sistema, contudo você pode instalar apenas para o seu usuário ou em um ambiente virtual (recomendado).

Vale notar que dependendo da forma com que você instalar o Kivy caminho para o interpretador Python irá mudar e você DEVE adequar/passar esse caminho no VSCode!

Fiz alguns testes aqui e a versão do pip funcionou sem problemas :smiley:

3 Curtidas

Desculpa a demora, hoje assim que possível vou testa e retorno aqui pra fala o que aconteceu. Obrigado.

1 Curtida